#!/usr/bin/python
# -*- coding: utf-8 -*-
# Merci a Matt Hawkins de raspberrypi-spy.co.uk
# Projet proxi.py
 
# Import des librairies de fonctions
import RPi.GPIO as GPIO
import time
 
# Num de broche physique
GPIO.setmode(GPIO.BOARD)
 
# On choisit la broche du signal sur le GPIO
BrochePIR = 7
 
print "*** Capteur de mouvements PROXI ***"
print "    Controle-C pour quitter."
 
# Broche en entrée
GPIO.setup(BrochePIR, GPIO.IN)
 
EtatActuel = 0
EtatAvant  = 0

print "Stabilisation du capteur..."
# On attend que le capteur se stabilise
while GPIO.input(BrochePIR) == 1 :
  EtatActuel = 0

print "On commence la surveillance."
 
# Boucle permanente (sortie par CTRL-C)
while True :
 
  # Lecture broche du capteur
  EtatActuel = GPIO.input(BrochePIR)
 
  if EtatActuel == 1 and EtatAvant == 0:
    # Le PIR a basculé
    print "  ALARME ! Quelque chose bouge !"
    # On se souvient de l'alarme
    EtatAvant = 1
  elif EtatActuel == 0 and EtatAvant == 1:
    # On vient de restabiliser
    print "  Restabilisation finie. On traque..."
    EtatAvant = 0
 
  # On attend 10 millisecondes
  time.sleep(0.01)
 
# On nettoie le GPIO
GPIO.cleanup()
print "  OK. On quitte !"
# Fin du programme
